%global momorel 2

Summary: A high-performance CORBA Object Request Broker.
Name: ORBit2
Version: 2.10.0
Release: %{momorel}m
Group: System Environment/Daemons
License: LGPL and GPL
URL: http://www.gnome.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.10/%{name}-%{version}.tar.bz2 fe86ec038fc51ee0e90e84169a8dda6c
Source1: fixed-ltmain.sh

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk-doc >= 1.2
BuildRequires: linc-devel >= 1.1.1
BuildRequires: libIDL-devel >= 0.8.3

Prereq: info
Requires: indent

%description
ORBit2 is a high-performance CORBA (Common Object Request Broker 
Architecture) ORB (object request broker). It allows programs to 
send requests and receive replies from other programs, regardless 
of the locations of the two programs. CORBA is an architecture that 
enables communication between program objects, regardless of the 
programming language they're written in or the operating system they
run on.

You will need to install this package and ORBIT-devel if you want to 
write programs that use CORBA technology.
#'

%package devel
Summary: Development libraries, header files and utilities for ORBit2.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: linc-devel
Requires: libIDL-devel

%description devel
ORBit2 is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker) with support for the 
C language.

This package contains the header files, libraries and utilities 
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBIT package.
#'

%prep
%setup -q

%build
%configure 
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall
%__install -m 755 -d %{buildroot}%{_includedir}/orbit-2.0/orbit/GIOP
%__install -m 644 include/orbit/GIOP/*.h %{buildroot}%{_includedir}/orbit-2.0/orbit/GIOP
(cd test; make distclean)
mv -f %{buildroot}/usr/share/gtk-doc/html/ORBit2 .

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog HACKING INSTALL MAINTAINERS NEWS README TODO ORBit2
%{_bindir}/typelib-dump
%{_bindir}/ior-decode-2
%{_bindir}/linc-cleanup-sockets
%dir %{_libdir}/orbit-2.0
%{_libdir}/orbit-2.0/*.so
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc COPYING* test
%{_bindir}/orbit-idl-2
%{_bindir}/orbit2-config
%{_libdir}/orbit-2.0/*a
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*a
%{_libdir}/*.so
%{_datadir}/idl/orbit-2.0
%{_datadir}/aclocal/*.m4
%{_includedir}/orbit-2.0

%changelog
* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.10.0-2m)
- adjustment BuildPreReq

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.10.0-1m)
- version 2.10.0
- GNOME 2.6 Desktop

* Fri Apr  2 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.8.3-4m)
- remove 'Obsoletes: pyorbit gnome-python'

* Wed Mar 31 2004 Toru Hoshina <t@momonga-linux.org>
- (2.8.3-3m)
- revised spec. some executable files are moved to devel packages.

* Mon Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.8.3-2m)
- revised spec for enabling rpm 4.2.

* Wed Jan 21 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.8.3-1m)
- version 2.8.3

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.8.2-2m)
- devel package includes COPYING, COPYING.LIB and some tests.
- pretty spec file.

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.8.2-1m)
- version 2.8.2

* Sun Oct 12 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.1-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.8.1-1m)
- version 2.8.1

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.7.6-1m)
- version 2.7.6

* Sat Aug 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.7.5-1m)
- version 2.7.5

* Thu Jul 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.7.3-1m)
- version 2.7.3

* Mon Jul  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.7.2-3m)
- rebuild against rpm-4.0.4-52m

* Sat Jun 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.7.2-2m)
- install GIOP headers.

* Tue Jun 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.7.2-1m)
- version 2.7.2

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.7.1-1m)
- version 2.7.1

* Wed Mar 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.7.0-1m)
- version 2.7.0

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.6.1-1m)
- version 2.6.1

* Wed Jan 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.6.0-1m)
- version 2.6.0

* Sun Jan 05 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.1-1m)
- version 2.5.1

* Sun Oct 20 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.0-1m)
- version 2.5.0

* Sat Aug 24 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.3-1m)
- version 2.4.3

* Thu Aug 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.2-1m)
- version 2.4.2

* Tue Aug 06 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.1-1m)
- version 2.4.1

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.0-8m)
- rebuild against for glib-2.0.6
- rebuild against for gtk+-2.0.6
- rebuild against for pango-1.0.4
- rebuild against for atk-1.0.3

* Wed Jul 24 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.0-7m)
- rebuild against for gdm-2.4.0.3
- rebuild against for gnome-vfs-2.0.2
- rebuild against for bonobo-activation-1.0.3
- rebuild against for linc-0.5.1

* Sun Jun 16 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.0-6k)
- rebuild against for gtk+-2.0.4
- rebuild against for glib-2.0.4
- rebuild against for pango-1.0.3

* Mon Jun 03 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.0-4k)
- rebuild against for yelp-0.9.1
- rebuild against for gedit2-1.121.1
- rebuild against for scrollkeeper-0.3.9
- rebuild against for bonobo-activation-1.0.0
- rebuild against for libbonobo-2.0.0
- rebuild against for libbonoboui-1.118.0
- rebuild against for ggv-1.99.6
- rebuild against for gnome-applets-1.105.0
- rebuild against for libIDL-0.8.0
- rebuild against for gnome-utils-1.108.0
- rebuild against for GConf-1.1.11
- rebuild against for libwnck-0.13
- rebuild against for gnome-terminal-1.9.7

* Wed May 29 2002 Shingo Akagaki <dora@kondara.org>
- (2.4.0-2k)
- version 2.4.0

* Tue May 21 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.110-2k)
- version 2.3.110

* Tue May 14 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.109-2k)
- version 2.3.109

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.3.108-4k)
- /sbin/install-info -> info in PreReq.

* Tue Apr 16 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.108-2k)
- version 2.3.108

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.107-2k)
- version 2.3.107

* Mon Mar 25 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.106-10k)
- rebuild against for control-center-1.99.5
- rebuild against for eel-1.1.9
- rebuild against for eog-0.115.0
- rebuild against for ggv-1.99.1
- rebuild against for gnome-system-monitor-1.1.6
- rebuild against for gnome-terminal-1.9.2
- rebuild against for gnome-utils-1.102.0
- rebuild against for libwnck-0.7
- rebuild against for linc-0.1.20
- rebuild against for nautilus-1.1.11
- rebuild against for yelp-0.4

* Sat Mar 09 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.106-8k)
- rebuild against for librsvg-1.1.6
- rebuild against for libxml2-2.4.17
- rebuild against for libxslt-1.0.13
- rebuild against for atk-1.0.0
- rebuild against for pango-1.0.0
- rebuild against for glib-2.0.0
- rebuild against for gtk+-2.0.0
- rebuild against for gnome-games-1.90.2
- rebuild against for control-center-1.99.4
- rebuild against for metatheme-0.9.4
- rebuild against for gnome-vfs-1.9.9

* Wed Mar 06 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.106-6k)
- rebuild against for glib-2.0.0.rc1
- rebuild against for pango-1.0.0.rc1
- rebuild against for atk-1.0.0.rc1
- rebuild against for gtk+-2.0.0.rc1

* Tue Mar  5 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.106-4k)
- modify file list

* Tue Mar 05 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.106-2k)
- version 2.3.106

* Mon Feb 25 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.105-6k)
- rebuild against for pango-0.26
- rebuild against for glib-1.3.15
- rebuild against for gtk+-1.3.15
- rebuild against for atk-0.13
- rebuild against for gnome-utils-1.100.0
- rebuild against for gnome-system-monitor-1.1.5

* Mon Feb 18 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.105-4k)
- rebuild against for gtk+-1.3.14
- rebuild against for glib-1.3.14
- rebuild against for pango-0.25
- rebuild against for gnome-applets-1.93.0
- rebuild against for gnome-utils-1.99.2

* Mon Feb 11 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.105-2k)
- version 2.3.105
* Wed Feb 06 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.104-4k)
- rebuild against for glib-1.3.13

* Tue Feb 05 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.104-2k)
- version 2.3.104
- rebuild against for libIDL-0.7.4

* Wed Jan 30 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.103-4k)
- rebuild against for glib-1.3.13

* Tue Jan 29 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.103-2k)
- version 2.3.103
- rebuild against for libIDL-0.7.3
- rebuild against for linc-0.1.16

* Fri Jan 18 2002 Shingo Akagaki <dora@kondara.org>
- (2.3.102-4k)
- rebuild against for linc-0.1.15

* Wed Dec 26 2001 Shingo Akagaki <dora@kondara.org>
- (2.3.100-2k)
- port from Jirai
- version 2.3.100

* Fri Sep 21 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (2.3.95-0.200109273k)
- 2.0.0
